glab(1)

NAME
glab-security-config-enable - Enable a security scan profile for a project. (EXPERIMENTAL)

SYNOPSIS
glab security config enable [flags]

DESCRIPTION
Attach a security scan profile to a project.

Prerequisites:

•   At least the Maintainer role or the Security Manager role for the project.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Enable dependency scanning on the current project
    $ glab security config enable dependency_scanning
    # Enable SAST on a specific project
    $ glab security config enable sast -R gitlab-org/cli
    # Enable auto-remediation for vulnerable dependencies
    $ glab security config enable dependency_scanning_post_processing

SEE ALSO
glab-security-config(1)